Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85561 - rpm-4.2.0-68 (latest rawhide) -- debugedit.c calling for non-present header dwarf.h
Summary: rpm-4.2.0-68 (latest rawhide) -- debugedit.c calling for non-present header d...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-04 14:02 UTC by R P Herrold
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-08 17:39:58 UTC


Attachments (Terms of Use)

Description R P Herrold 2003-03-04 14:02:33 UTC
During a rebuild from SRPM, rpm-4.2.0-68 is calling for, and does not have dwarf.h

------------------------------

'debugedit.c' seems to want 'dwarf.h' --

on an RHL 8.0 box with some front porting.

I see it in CVS:
  /home/herrold/cvsroot/rpm/elfutils/libdw/dwarf.h

but not in that SRPM

[herrold@ftp rpm-4.2]$ find -name 'dwarf*'
[herrold@ftp rpm-4.2]$ pwd
/home/herrold/redhat/BUILD/rpm-4.2
if not present should it

===========================================================
  ...
creating rpmsignature
source='debugedit.c' object='debugedit.o' libtool=no \
depfile='.deps/debugedit.Po' tmpdepfile='.deps/debugedit.TPo'
\
depmode=gcc3 /bin/sh ../depcomp \
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I.. -I../build -I../lib
-I../rpmdb -I../rpmio -I../popt -I../file -I../zlib -I../misc
-O2 -march=i386 -mcpu=i686 -D_GNU_SOURCE -D_REENTRANT -Wall
-Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes
-Wno-char-subscripts -c `test -f 'debugedit.c' || echo
'./'`debugedit.c
debugedit.c:37:19: dwarf.h: No such file or directory
debugedit.c: In function `read_abbrev':
debugedit.c:289: `DW_FORM_indirect' undeclared (first use in
this function)
debugedit.c:289: (Each undeclared identifier is reported only
once
debugedit.c:289: for each function it appears in.)

... and so on ...

-------------------------

solutions would be to carry the header, which is in CVS, or to add a build time
check for the header, and if components are missing, to omit the ./tools/ tree
elements needing it.

Comment 1 Jeff Johnson 2003-03-08 17:39:58 UTC
Fixed (by using internal elfutils-0.76) in rpm-4.2-0.70
and rpm-4.1.1.


Note You need to log in before you can comment on or make changes to this bug.